Bug 437165 - "KDE Daemon" entry appears in task manager when I open appmenu on Wayland
Summary: "KDE Daemon" entry appears in task manager when I open appmenu on Wayland
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: appmenu (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-15 17:03 UTC by Patrick Silva
Modified: 2021-05-19 16:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments
screenshot (119.44 KB, image/png)
2021-05-15 17:03 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-05-15 17:03:57 UTC
Created attachment 138466 [details]
screenshot

STEPS TO REPRODUCE
1. add appmenu to window decoration
2. open Kate
3. click on appmenu

OBSERVED RESULT
please see the attached screenshot

EXPECTED RESULT
nothing should change in task manager when we open appmenu

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.21.90
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Bug Janitor Service 2021-05-19 09:22:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/868
Comment 2 Nate Graham 2021-05-19 16:09:26 UTC
Git commit 185a5245c784883c4d72cb3b22582260799fab97 by Nate Graham, on behalf of David Redondo.
Committed on 19/05/2021 at 16:09.
Pushed by ngraham into branch 'master'.

appmenu: Skip switcher and task manager

M  +2    -0    appmenu/appmenu.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/185a5245c784883c4d72cb3b22582260799fab97
Comment 3 Nate Graham 2021-05-19 16:09:53 UTC
Git commit e24548cda07203585ffa01d046b85165c340abab by Nate Graham, on behalf of David Redondo.
Committed on 19/05/2021 at 16:09.
Pushed by ngraham into branch 'Plasma/5.22'.

appmenu: Skip switcher and task manager


(cherry picked from commit 185a5245c784883c4d72cb3b22582260799fab97)

M  +2    -0    appmenu/appmenu.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/e24548cda07203585ffa01d046b85165c340abab